id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ID3_TagImpl Class Reference

`#include <tag_impl.h>`

## Public Types
typedef Frames::iterator | iterator
typedef Frames::const_iterator | const_iterator

## Public Member Functions
| ID3_TagImpl (const char *name=NULL)
| ID3_TagImpl (const ID3_Tag &tag)
virtual | ~ID3_TagImpl ()
void | Clear ()
bool | HasChanged () const
void | SetChanged (bool b)
size_t | Size () const
bool | SetUnsync (bool)
bool | SetExtended (bool)
bool | SetExperimental (bool)
bool | SetPadding (bool)
bool | GetUnsync () const
bool | GetExtended () const
bool | GetExperimental () const
bool | GetFooter () const
size_t | GetExtendedBytes () const
void | AddFrame (const ID3_Frame &)
void | AddFrame (const ID3_Frame *)
bool | AttachFrame (ID3_Frame *)
ID3_Frame * | RemoveFrame (const ID3_Frame *)
size_t | Link (const char *fileInfo, flags_t=(flags_t) ID3TT_ALL)
size_t | Link (ID3_Reader &reader, flags_t=(flags_t) ID3TT_ALL)
flags_t | Update (flags_t=(flags_t) ID3TT_ALL)
flags_t | Strip (flags_t=(flags_t) ID3TT_ALL)
size_t | GetPrependedBytes () const
size_t | GetAppendedBytes () const
size_t | GetFileSize () const
dami::String | GetFileName () const
ID3_Frame * | Find (ID3_FrameID id) const
ID3_Frame * | Find (ID3_FrameID id, ID3_FieldID fld, uint32 data) const
ID3_Frame * | Find (ID3_FrameID id, ID3_FieldID fld, dami::String) const
ID3_Frame * | Find (ID3_FrameID id, ID3_FieldID fld, dami::WString) const
size_t | NumFrames () const
ID3_TagImpl & | operator= (const ID3_Tag &)
bool | HasTagType (ID3_TagType tt) const
ID3_V2Spec | GetSpec () const
bool | SetSpec (ID3_V2Spec)
const Mp3_Headerinfo * | GetMp3HeaderInfo () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
void | AddNewFrame (ID3_Frame *f)
size_t | Link (const char *fileInfo, bool parseID3v1, bool parseLyrics3)
void | SetCompression (bool)
void | AddFrames (const ID3_Frame *, size_t)
bool | HasLyrics () const
bool | HasV2Tag () const
bool | HasV1Tag () const
size_t | PaddingSize (size_t) const

## Static Public Member Functions
static size_t | IsV2Tag (ID3_Reader &)

## Protected Member Functions
const_iterator | Find (const ID3_Frame *) const
iterator | Find (const ID3_Frame *)
void | RenderExtHeader (uchar *)
void | ParseFile ()
void | ParseReader (ID3_Reader &reader)

## Detailed Description

Definition at line 73 of file tag_impl.h.

## Member Typedef Documentation

typedef Frames::const_iterator ID3_TagImpl::const_iterator

Definition at line 78 of file tag_impl.h.

typedef Frames::iterator ID3_TagImpl::iterator

Definition at line 77 of file tag_impl.h.

## Constructor & Destructor Documentation

ID3_TagImpl::ID3_TagImpl | ( | const char * | name = `NULL` | ) |

Definition at line 91 of file tag_impl.cpp.

ID3_TagImpl::ID3_TagImpl | ( | const ID3_Tag & | tag | ) |

Definition at line 108 of file tag_impl.cpp.

ID3_TagImpl::~ID3_TagImpl | ( |  | ) |
| virtual

Definition at line 121 of file tag_impl.cpp.

## Member Function Documentation

void ID3_TagImpl::AddFrame | ( | const ID3_Frame & | frame | ) |

Definition at line 153 of file tag_impl.cpp.

void ID3_TagImpl::AddFrame | ( | const ID3_Frame * | frame | ) |

Definition at line 158 of file tag_impl.cpp.

void ID3_TagImpl::AddFrames | ( | const ID3_Frame * | ,
|  | size_t |
| ) |  |

void ID3_TagImpl::AddNewFrame | ( | ID3_Frame * | f | ) |
| inline

Definition at line 138 of file tag_impl.h.

bool ID3_TagImpl::AttachFrame | ( | ID3_Frame * | frame | ) |

Definition at line 167 of file tag_impl.cpp.

iterator ID3_TagImpl::begin | ( |  | ) |
| inline

Definition at line 132 of file tag_impl.h.

const_iterator ID3_TagImpl::begin | ( |  | ) | const
| inline

Definition at line 134 of file tag_impl.h.

void ID3_TagImpl::Clear | ( |  | ) |

Definition at line 126 of file tag_impl.cpp.

iterator ID3_TagImpl::end | ( |  | ) |
| inline

Definition at line 133 of file tag_impl.h.

const_iterator ID3_TagImpl::end | ( |  | ) | const
| inline

Definition at line 135 of file tag_impl.h.

ID3_Frame * ID3_TagImpl::Find | ( | ID3_FrameID | id | ) | const

Definition at line 61 of file tag_find.cpp.

ID3_Frame * ID3_TagImpl::Find | ( | ID3_FrameID | id,
|  | ID3_FieldID | fld,
|  | uint32 | data
| ) |  | const

Definition at line 202 of file tag_find.cpp.

ID3_Frame * ID3_TagImpl::Find | ( | ID3_FrameID | id,
|  | ID3_FieldID | fld,
|  | dami::String | data
| ) |  | const

Definition at line 99 of file tag_find.cpp.

ID3_Frame * ID3_TagImpl::Find | ( | ID3_FrameID | id,
|  | ID3_FieldID | fld,
|  | dami::WString | data
| ) |  | const

Definition at line 154 of file tag_find.cpp.

ID3_TagImpl::const_iterator ID3_TagImpl::Find | ( | const ID3_Frame * | frame | ) | const
| protected

Definition at line 31 of file tag_find.cpp.

ID3_TagImpl::iterator ID3_TagImpl::Find | ( | const ID3_Frame * | frame | ) |
| protected

Definition at line 46 of file tag_find.cpp.

size_t ID3_TagImpl::GetAppendedBytes | ( |  | ) | const
| inline

Definition at line 112 of file tag_impl.h.

bool ID3_TagImpl::GetExperimental | ( |  | ) | const

Definition at line 268 of file tag_impl.cpp.

bool ID3_TagImpl::GetExtended | ( |  | ) | const

Definition at line 263 of file tag_impl.cpp.

size_t ID3_TagImpl::GetExtendedBytes | ( |  | ) | const

Definition at line 278 of file tag_impl.cpp.

dami::String ID3_TagImpl::GetFileName | ( |  | ) | const
| inline

Definition at line 114 of file tag_impl.h.

size_t ID3_TagImpl::GetFileSize | ( |  | ) | const
| inline

Definition at line 113 of file tag_impl.h.

bool ID3_TagImpl::GetFooter | ( |  | ) | const

Definition at line 273 of file tag_impl.cpp.

const Mp3_Headerinfo* ID3_TagImpl::GetMp3HeaderInfo | ( |  | ) | const
| inline

Definition at line 130 of file tag_impl.h.

size_t ID3_TagImpl::GetPrependedBytes | ( |  | ) | const
| inline

Definition at line 111 of file tag_impl.h.

ID3_V2Spec ID3_TagImpl::GetSpec | ( |  | ) | const

Definition at line 232 of file tag_impl.cpp.

bool ID3_TagImpl::GetUnsync | ( |  | ) | const

Definition at line 258 of file tag_impl.cpp.

bool ID3_TagImpl::HasChanged | ( |  | ) | const

Definition at line 202 of file tag_impl.cpp.

bool ID3_TagImpl::HasLyrics | ( |  | ) | const
| inline

Definition at line 142 of file tag_impl.h.

bool ID3_TagImpl::HasTagType | ( | ID3_TagType | tt | ) | const
| inline

Definition at line 124 of file tag_impl.h.

bool ID3_TagImpl::HasV1Tag | ( |  | ) | const
| inline

Definition at line 144 of file tag_impl.h.

bool ID3_TagImpl::HasV2Tag | ( |  | ) | const
| inline

Definition at line 143 of file tag_impl.h.

size_t ID3_TagImpl::IsV2Tag | ( | ID3_Reader & | reader | ) |
| static

Definition at line 38 of file tag_impl.cpp.

size_t ID3_TagImpl::Link | ( | const char * | fileInfo,
|  | flags_t | tag_types = `(flags_t) ID3TT_ALL`
| ) |  |

Definition at line 131 of file tag_file.cpp.

size_t ID3_TagImpl::Link | ( | ID3_Reader & | reader,
|  | flags_t | tag_types = `(flags_t) ID3TT_ALL`
| ) |  |

Definition at line 149 of file tag_file.cpp.

size_t ID3_TagImpl::Link | ( | const char * | fileInfo,
|  | bool | parseID3v1,
|  | bool | parseLyrics3
| ) |  |

Definition at line 117 of file tag_file.cpp.

size_t ID3_TagImpl::NumFrames | ( |  | ) | const
| inline

Definition at line 121 of file tag_impl.h.

ID3_TagImpl & ID3_TagImpl::operator= | ( | const ID3_Tag & | rTag | ) |

Definition at line 305 of file tag_impl.cpp.

size_t ID3_TagImpl::PaddingSize | ( | size_t | curSize | ) | const

Definition at line 192 of file tag_render.cpp.

void ID3_TagImpl::ParseFile | ( |  | ) |
| protected

Definition at line 205 of file tag_parse.cpp.

void ID3_TagImpl::ParseReader | ( | ID3_Reader & | reader | ) |
| protected

Definition at line 219 of file tag_parse.cpp.

ID3_Frame * ID3_TagImpl::RemoveFrame | ( | const ID3_Frame * | frame | ) |

Definition at line 185 of file tag_impl.cpp.

void ID3_TagImpl::RenderExtHeader | ( | uchar * | buffer | ) |
| protected

Definition at line 178 of file tag_render.cpp.

void ID3_TagImpl::SetChanged | ( | bool | b | ) |
| inline

Definition at line 86 of file tag_impl.h.

void ID3_TagImpl::SetCompression | ( | bool |  | ) |
| inline

Definition at line 140 of file tag_impl.h.

bool ID3_TagImpl::SetExperimental | ( | bool | exp | ) |

Definition at line 251 of file tag_impl.cpp.

bool ID3_TagImpl::SetExtended | ( | bool | ext | ) |

Definition at line 244 of file tag_impl.cpp.

bool ID3_TagImpl::SetPadding | ( | bool | pad | ) |

Definition at line 291 of file tag_impl.cpp.

bool ID3_TagImpl::SetSpec | ( | ID3_V2Spec | spec | ) |

Definition at line 225 of file tag_impl.cpp.

bool ID3_TagImpl::SetUnsync | ( | bool | b | ) |

Definition at line 237 of file tag_impl.cpp.

size_t ID3_TagImpl::Size | ( |  | ) | const

Definition at line 140 of file tag_render.cpp.

flags_t ID3_TagImpl::Strip | ( | flags_t | ulTagFlag = `(flags_t) ID3TT_ALL` | ) |

Definition at line 371 of file tag_file.cpp.

flags_t ID3_TagImpl::Update | ( | flags_t | ulTagFlag = `(flags_t) ID3TT_ALL` | ) |

Definition at line 323 of file tag_file.cpp.

The documentation for this class was generated from the following files:

- src/tag_impl.h
- src/tag_file.cpp
- src/tag_find.cpp
- src/tag_impl.cpp
- src/tag_parse.cpp
- src/tag_render.cpp